Skip to main content
GET
/
bots
/
{botId}
/
workflows
Export all workflows
curl --request GET \
  --url https://api.helloannie.com/v1/bots/{botId}/workflows
import requests

url = "https://api.helloannie.com/v1/bots/{botId}/workflows"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.helloannie.com/v1/bots/{botId}/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "workflows": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "title": "<string>",
        "description": "<string>",
        "enabled": true,
        "usageContext": "<string>",
        "steps": [
          {
            "title": "<string>",
            "description": "<string>",
            "instructions": "<string>",
            "examples": [
              "<string>"
            ],
            "order": 0,
            "childSteps": [
              {
                "title": "<string>",
                "description": "<string>",
                "instructions": "<string>",
                "examples": [
                  "<string>"
                ],
                "order": 0,
                "action": "<string>",
                "actionMetadata": {
                  "templateName": "Appointment Confirmation",
                  "templateBody": "Your appointment is scheduled for tomorrow at 3 PM."
                }
              }
            ],
            "action": "<string>",
            "actionMetadata": {
              "templateName": "Appointment Confirmation",
              "templateBody": "Your appointment is scheduled for tomorrow at 3 PM."
            }
          }
        ]
      }
    ]
  }
}
{
"success": false,
"data": {},
"message": "<string>"
}
{
"success": false,
"data": {},
"message": "<string>"
}

Path Parameters

botId
string<uuid>
required

The ID of the bot to export workflows from

Response

Response containing all exported workflows for a bot

success
enum<boolean>
required
Available options:
true
data
object
required